/*  Transmitting program using Virtual Wire
    with a 433 MHz Tx module with VWComm library functions
*/
#include <VirtualWire.h>
#include <VWComm.h>
#define transmit_pin 12

VWComm vmc; //initialize an instance of the class

void setup()
{
  // The following must be included
    vw_set_tx_pin(transmit_pin);
    vw_setup(2000);       // Bits per sec
  // Put your set up code here ....
  Serial.begin(9600);
}

void loop()
{
// The following is an example
  vmc.sendByte(7);
  delay(1000);
  vmc.sendStr("This is a test");
  delay(1000);
  vmc.sendInt(1234);
  delay(1000);
  vmc.sendFloat(752.1415926,4);
  delay(1000);
  vmc.sendStr("....");
  delay(1000);
}


